;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Diploma Thesis:
;;; "Solving Bit-Vector Equations 
;;;  - A Decision Procedure for Hardware Verifikation"
;;;
;;; M. Oliver M"oller
;;; University of Ulm
;;; Faculty for Computer Science (Informatik)
;;; AI Department (Abteilung fuer kuenstliche Intelligenz)
;;; Supervising Professor:  F. von Henke
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; ------------------------------------------------------------
;; -              SOLVER FOR BITVECTOR-THEORY                 -
;; -              ~~~~~~~~~~~~~~~~~~~~~~~~~~~                 -
;; - WITH  +fixed size                                        -
;; -       +fixed extraction                                  -
;; -       +composition                                       -
;; -       +fills (constant- and non-constant)                -
;; -       +boolean operations                                -
;; ------------------------------------------------------------
;; - SRI, September 1996                                      -
;; -      David Cyrluck  (cyrluck@csl.sri.com)                -
;; -      Oliver M"oller (moeller@ki.informatik.uni-ulm.de)   -
;; ------------------------------------------------------------
;; - File:     bvec_bool.cl                                   -
;; - Purpose:  Auxillary Functions,                           -
;; -           especially for BDDS , EBDDS and EBDD_Pointer   -
;; -           flat processed bitvector terms                 -
;; - USES:     bvec_structure.lisp                            -
;; -           bvec_bdd_solve.lisp                            -
;; ------------------------------------------------------------
;; - EXPORTS:                                                 -
;; -  Assoc-list: *bvec_bit_to_term*  *find_list*             -
;; -  Hash-table: *bvec_term_to_indexlist*                    -
;; -  Functions: chop_ebdd  chop_pvs_ebdd  chop_node          -
;; -             attachable_pvs_ebdd?  embed_bdd  built_node  -
;; -             lift_node_to_pvs_ebdd_n                      -
;; -             all_variables_from_pointer indexlist_replace -
;; -             generate_ebdd_pointer replace_pedds_and_bits -
;; -             frame_bdd_solve  count_down  count_up        -
;; -             all_variables  help_all_variables            -
;; ------------------------------------------------------------
;;
;; Version: 10/8/1996

(in-package user)

*obsolete*
